curl --request GET \
--url https://api.dfns.io/webhooks/{webhookId}/events/{webhookEventId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"date": "<string>",
"kind": "policy.triggered",
"data": {},
"status": "<string>",
"timestampSent": 123,
"error": "<string>"
}Retrieve a specific webhook event details by its ID.
We only keep a trace of those Webhook Events in our system for a retention period of 31 days. Past that, they are discarded, so you cannot see them using List Webhook Events or Get Webhook Event endpoints.
curl --request GET \
--url https://api.dfns.io/webhooks/{webhookId}/events/{webhookEventId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"date": "<string>",
"kind": "policy.triggered",
"data": {},
"status": "<string>",
"timestampSent": 123,
"error": "<string>"
}CustomerEmployee)EndUser)Webhooks:Events:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
1 - 64^wh-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$1 - 64^whe-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$Success
WebhookEvent ID
ISO date string when event was raised
Webhook event
policy.triggered, policy.approval.pending, policy.approval.resolved, key.created, key.deleted, key.delegated, key.exported, wallet.blockchainevent.detected, wallet.created, wallet.activated, wallet.delegated, wallet.exported, wallet.signature.failed, wallet.signature.rejected, wallet.signature.requested, wallet.signature.signed, wallet.transaction.broadcasted, wallet.transaction.confirmed, wallet.transaction.failed, wallet.transaction.rejected, wallet.transaction.requested, wallet.transfer.broadcasted, wallet.transfer.confirmed, wallet.transfer.failed, wallet.transfer.rejected, wallet.transfer.requested, wallet.offer.received, wallet.offer.accepted, wallet.offer.rejected, wallet.offer.withdrawn, wallet.tags.modified, payout.action.required Show child attributes
Status code of the webhook request
Unix timestamp when the event was forwarded to the webhook url by our servers.
Error message if any error happened during the webhook request.
Was this page helpful?